Subject: [Ips] Data Segment Padding

From: yushang <[email-masked]>
Date: Fri, 9 Oct 2009 11:33:52 +0800

Hi , is it possible to send the middle part of a sequence of DATA-OUT with
data segment padding to 4 bytes boundary ? Many thanks.

---

From: <[email-masked]>
Date: Fri, 9 Oct 2009 02:46:58 -0400

No, padding is not supported (e.g., breaks data digests).
 
RFC 3720 has this to say in Section 10.7.7 which strongly
recommends 4-byte alignment of data segment boundaries:
The Data Segments of Data-In and Data-Out PDUs SHOULD be filled to the
integer number of 4 byte words (real payload) unless the F bit is set to
1.

Thanks,
--David

----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

________________________________

	From: [email-masked] [mailto:[email-masked]] On
Behalf Of yushang
	Sent: Thursday, October 08, 2009 11:34 PM
	To: [email-masked]
	Subject: [Ips] Data Segment Padding

	Hi , is it possible to send the middle part of a sequence of
DATA-OUT with data segment padding to 4 bytes boundary ? Many thanks.